2013-05-31 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.4.4.

2013-05-06 Graeme Gott <graeme@gottcode.org>
	* FIXED: Crashed when opening font dropdown in theme dialog.

2013-04-25 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not always ignore changes made by program.

2013-04-15 Graeme Gott <graeme@gottcode.org>
	* Allow margins smaller than 10 pixels.

2013-04-09 Graeme Gott <graeme@gottcode.org>
	* FIXED: Smart quotes were incorrect after opening punctuation.

2013-04-06 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.4.3.
	* FIXED: Unsaved new files were not restored from cache.

2013-03-30 Graeme Gott <graeme@gottcode.org>
	* Add support for Unicode names with Qt 5.
	* Migrate data from Qt 4 version.

2013-03-27 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.4.2.

2013-03-26 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could not end italics before smart quote.

2013-02-26 Graeme Gott <graeme@gottcode.org>
	* Add small delay before handling changed files.
	* Add ignoring deleted file message.

2013-02-25 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not play key press sound for non-Latin languages.
	* FIXED: Crash when ignoring words in spelling dialog.

2012-12-21 Graeme Gott <graeme@gottcode.org>
	* Add support for compiling with Qt 5.0.0.

2012-11-28 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.4.1.

2012-11-27 Graeme Gott <graeme@gottcode.org>
	* FIXED: High CPU use in Ubuntu 10.04.

2012-11-26 Graeme Gott <graeme@gottcode.org>
	* Use QSound on Windows because SDL doesn't always work.
	* FIXED: Crashed when typing circumflex with focused text.

2012-11-20 Graeme Gott <graeme@gottcode.org>
	* FIXED: Showing scene list moved cursor to start of document.

2012-11-18 Graeme Gott <graeme@gottcode.org>
	* Sync translations with Transifex.

2012-11-04 Graeme Gott <graeme@gottcode.org>
	* FIXED: Played sounds constantly in Ubuntu 10.04.

2012-10-14 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could drag scenes in Read-Only files.
	* FIXED: Could insert symbols in Read-Only files.
	* FIXED: Could paste unformatted in Read-Only files.
	* FIXED: Could check spelling of Read-Only files.
	* FIXED: Cleared keyboard shortcuts not saved.

2012-10-12 Graeme Gott <graeme@gottcode.org>
	* FIXED: Cannot add new keyboard shortcuts with the Shift key.

2012-09-22 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.4.0.

2012-09-18 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could not save to WebDAV.

2012-09-16 Graeme Gott <graeme@gottcode.org>
	* FIXED: Insert key did not switch to overwrite mode.

2012-09-13 Graeme Gott <graeme@gottcode.org>
	* FIXED: Regression - keyboard shortcut for scenes did not work.
	* FIXED: Did not show scene list if mouse was over interface.
	* FIXED: Hiding toolbar did not shrink header.

2012-08-27 Graeme Gott <graeme@gottcode.org>
	* Only add dictionaries in locally installed path.

2012-08-26 Graeme Gott <graeme@gottcode.org>
	* FIXED: Regression - SDL_mixer was not loaded in Debian.

2012-08-24 Graeme Gott <graeme@gottcode.org>
	* Add installing Voikko data files in Windows.
	* Remove uninstalling dictionary files.

2012-08-20 Graeme Gott <graeme@gottcode.org>
	* FIXED: Scene list was visually corrupted when footer was shown.
	* FIXED: Could save over files open on other tabs.

2012-08-19 Graeme Gott <graeme@gottcode.org>
	* FIXED: Switching themes still wasn't properly focusing text.
	* FIXED: Did not stop watching files when they were closed.
	* FIXED: Theme previews did not scale tiled or centered images.
	* FIXED: Theme previews did not show line spacing.

2012-08-16 Graeme Gott <graeme@gottcode.org>
	* Stop distributing dictionaries on Windows.

2012-08-15 Graeme Gott <graeme@gottcode.org>
	* Base maximum width of alerts on pixel density.
	* Close alert under mouse first.
	* Move code for configuring alert into alert class.
	* Use alerts for warnings when loading files.
	* FIXED: Warned user twice about every malformed file.
	* FIXED: Could not interact with dialogs during load.
	* FIXED: Did not check spelling of pasted paragraphs.

2012-08-14 Graeme Gott <graeme@gottcode.org>
	* Stop faking drag-and-drop for moving scenes.
	* FIXED: Dragging last scene deleted it.
	* FIXED: Dragging top scene merged it with other scenes.

2012-08-13 Graeme Gott <graeme@gottcode.org>
	* FIXED: Regression - Windows did not load SDL.
	* Use built-in Voikko support for finding dictionaries.

2012-08-12 Graeme Gott <graeme@gottcode.org>
	* Use NSSound on the Mac.
	* FIXED: Regression - fallback icons were not used.
	* Use file contents to determine format when loading.
	* Don't allow rename on Read-Only files.

2012-08-11 Graeme Gott <graeme@gottcode.org>
	* FIXED: File rename did not change formats.
	* Check spelling in background.

2012-08-09 Graeme Gott <graeme@gottcode.org>
	* Only check spelling in highlighter.
	* FIXED: Default shortcuts conflicted on the Mac.
	* Queue simultaneous requests to add documents.
	* Stop grabbing keyboard during load.

2012-08-07 Graeme Gott <graeme@gottcode.org>
	* Update Oxygen icons.

2012-08-04 Graeme Gott <graeme@gottcode.org>
	* Change how data paths are handled.

2012-08-03 Graeme Gott <graeme@gottcode.org>
	* Split symbol shortcuts out of dialog.
	* FIXED: Restoring from cache treated all files as plain text.
	* Clear cache on successful exit.

2012-08-02 Graeme Gott <graeme@gottcode.org>
	* FIXED: Line spacing combo was incorrect for non-default sizes.
	* Reduce minimum line spacing.
	* Stop cache thread while window is visible.

2012-07-31 Graeme Gott <graeme@gottcode.org>
	* Switch to rich text if saving as ODT or RTF.
	* FIXED: Filenames were incorrect after undo and redo.

2012-07-27 Graeme Gott <graeme@gottcode.org>
	* FIXED: Formatting of first paragraph was lost on reload.

2012-07-26 Graeme Gott <graeme@gottcode.org>
	* Warn when trying to save rich text in plain text file.
	* Allow any file to be saved in any format.
	* Remove menu action for toggling rich text.
	* Remove setting for defaulting to rich text.
	* Use file extension to determine format when loading.
	* Use file extension to determine format when saving.
	* Always allow rich text.

2012-07-25 Graeme Gott <graeme@gottcode.org>
	* Add editable keyboard shortcuts.

2012-07-20 Graeme Gott <graeme@gottcode.org>
	* Make it compile with Qt 5.
	* Use alerts for errors when loading files.
	* Warn about missing SDL_mixer.
	* Remove use of QSound as fallback.

2012-07-19 Graeme Gott <graeme@gottcode.org>
	* FIXED: Switching themes wasn't properly focusing text.
	* FIXED: Line spacings were ignored on reload.
	* Use ODT as default format.

2012-07-18 Graeme Gott <graeme@gottcode.org>
	* Monitor files for changes.
	* Add option to reload files.

2012-07-14 Graeme Gott <graeme@gottcode.org>
	* Auto-hide scene list when document is clicked on.
	* Only update scene list when visible.

2012-07-13 Graeme Gott <graeme@gottcode.org>
	* Always select current scene in list.

2012-07-11 Graeme Gott <graeme@gottcode.org>
	* Add preview to symbols dialog.

2012-07-10 Graeme Gott <graeme@gottcode.org>
	* Add keyboard shortcuts to symbols dialog.

2012-07-08 Graeme Gott <graeme@gottcode.org>
	* Add a dialog to insert Unicode symbols.

2012-07-06 Graeme Gott <graeme@gottcode.org>
	* Add a model for looking up Unicode symbols.

2012-07-03 Graeme Gott <graeme@gottcode.org>
	* Add widget to edit a shortcut.

2012-07-01 Graeme Gott <graeme@gottcode.org>
	* Move selecting scenes into scene model.

2012-06-29 Graeme Gott <graeme@gottcode.org>
	* Add keyboard shortcuts for moving scenes.
	* FIXED: Scene dividers did not update until program restart.
	* Make first paragraph always be a scene.
	* Move detecting scenes into scene model.

2012-06-28 Graeme Gott <graeme@gottcode.org>
	* Show multiple lines from each scene.

2012-06-24 Graeme Gott <graeme@gottcode.org>
	* Allow resizing scene list.

2012-06-22 Graeme Gott <graeme@gottcode.org>
	* Auto-hide scene list.

2012-06-20 Graeme Gott <graeme@gottcode.org>
	* Add scene list.

2012-06-19 Graeme Gott <graeme@gottcode.org>
	* Add dragging scenes.

2012-06-18 Graeme Gott <graeme@gottcode.org>
	* Add scene model.

2012-06-15 Graeme Gott <graeme@gottcode.org>
	* Remember find dialog position while program is running.
	* FIXED: Line spacings were broken at first on Windows.

2012-06-14 Graeme Gott <graeme@gottcode.org>
	* FIXED: Text brought onto current line was not focused.
	* FIXED: Replace all could not be reverted with a single undo.

2012-06-13 Graeme Gott <graeme@gottcode.org>
	* Only allow a single instance to run.
	* Add support for finding regular expressions.

2012-06-11 Graeme Gott <graeme@gottcode.org>
	* Add background thread for caching files.
	* Move writing file out of document class.
	* FIXED: Saved cache files more frequently than necessary.
	* FIXED: Displayed paths did not use native separators.

2012-06-10 Graeme Gott <graeme@gottcode.org>
	* Increase cache interval to 10 minutes.
	* Load original file when unable to load cached file.
	* FIXED: Crashed when loading empty RTF files.
	* FIXED: Emergency cache files could have broken names.
	* FIXED: Was not loading data from emergency cache files.
	* FIXED: Emergency cache was not working for rich text.
	* FIXED: Data was not always written to disk.
	* FIXED: Was adding spaces before pasted rich text.

2012-06-09 Graeme Gott <graeme@gottcode.org>
	* Allow changing scene dividers.

2012-06-03 Graeme Gott <graeme@gottcode.org>
	* Add tab navigation by keyboard.

2012-06-01 Graeme Gott <graeme@gottcode.org>
	* Make spacings take effect immediately.
	* Add selecting scenes.
	* Add detecting scenes.

2012-05-26 Morten Juhl-Johansen Zölde-Fejér <mjjzf@syntaktisk.dk>
	* Add Danish translation.

2012-05-23 Graeme Gott <graeme@gottcode.org>
	* FIXED: New documents were always modified.

2012-05-18 Graeme Gott <graeme@gottcode.org>
	* FIXED: Inserting text resets alignment.
	* Add option to paste text without formatting.
	* Add focused text options.
	* Add options to theme dialog for setting spacings.
	* Use theme spacings when creating document instances.
	* Add line spacing and paragraph margins to theme.

2012-05-17 Graeme Gott <graeme@gottcode.org>
	* Add reading and writing soft returns.

2012-05-16 Graeme Gott <graeme@gottcode.org>
	* FIXED: No suggestions for misspelled words on 10.5.

2012-05-15 Graeme Gott <graeme@gottcode.org>
	* Use modified voikko provider for enchant on Windows.

2012-05-12 Graeme Gott <graeme@gottcode.org>
	* Install dictionaries to shared folder on the Mac.

2012-05-11 Graeme Gott <graeme@gottcode.org>
	* Use NSSpellChecker directly on the Mac.
	* Use translated names for dictionaries.
	* Remove dictionary data files.

2012-05-10 Graeme Gott <graeme@gottcode.org>
	* Switch to enchant from hunspell.
	* Add a wrapper class for the dictionary.

2012-05-09 Graeme Gott <graeme@gottcode.org>
	* Add dictionary manager.

2012-01-16 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.5.2.

2012-01-09 Verónica Jiménez
	* Update Spanish translation.

2011-12-21 Aarni
	* Update Finnish translation.

2011-12-18 Graeme Gott <graeme@gottcode.org>
	* Only start monitoring word count changes after loading contents.
	* Sync translations with Transifex.
	* Add Hungarian dictionary.

2011-12-17 Zoltán Adamek
	* Add Hungarian translation.

2011-12-15 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not handle loading menu icons correctly.

2011-12-04 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.5.1.
	* Add Greek dictionary.

2011-12-01 Graeme Gott <graeme@gottcode.org>
	* Don't grab keyboard.

2011-11-30 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not correctly handle multi-byte characters in RTF.

2011-11-27 Graeme Gott <graeme@gottcode.org>
	* FIXED: Interface was incorrectly hidden while fullscreen.

2011-11-16 Dennis Peteranderl
	* Update German translation.

2011-11-15 Graeme Gott <graeme@gottcode.org>
	* Add Dutch dictionary.

2011-11-15 Robert Borst
	* Add Dutch translation.

2011-11-12 Graeme Gott <graeme@gottcode.org>
	* Add scalable icon.

2011-11-09 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.5.
	* FIXED: Sometimes did not display opened documents immediately.
	* Update translations.

2011-11-05 Graeme Gott <graeme@gottcode.org>
	* FIXED: ODT block settings were not respected.
	* FIXED: RTF block settings were not respected.

2011-11-04 Graeme Gott <graeme@gottcode.org>
	* Change file extension of exported themes.

2011-10-29 Graeme Gott <graeme@gottcode.org>
	* Use gzip compression for exported themes.

2011-10-17 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.4.1.
	* Improve deploying mac resources.

2011-10-16 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.4.

2011-10-13 Graeme Gott <graeme@gottcode.org>
	* FIXED: Regression - changing dictionary required restart.

2011-10-09 Graeme Gott <graeme@gottcode.org>
	* Add Swedish translation.

2011-10-08 Graeme Gott <graeme@gottcode.org>
	* Pass pasted HTML through RTF parser.
	* Remove extra newlines from RTF.

2011-10-06 Graeme Gott <graeme@gottcode.org>
	* Add Windows support for copying RTF.

2011-10-05 Graeme Gott <graeme@gottcode.org>
	* Add support for copying RTF.

2011-10-04 Graeme Gott <graeme@gottcode.org>
	* FIXED: Always vertically center did not work with new documents.
	* Create default theme when launched.
	* Improve open dialog start location.

2011-10-03 Graeme Gott <graeme@gottcode.org>
	* FIXED: Printed spellchecking highlights.
	* FIXED: Did not load file stats when loading file.

2011-08-19 Graeme Gott <graeme@gottcode.org>
	* Speed up file loading.

2011-08-06 Graeme Gott <graeme@gottcode.org>
	* Add basic OpenDocument text support.
	* Switch to a 96 DPI indent.

2011-07-28 Graeme Gott <graeme@gottcode.org>
	* Make sound effects play immediately.

2011-07-25 Graeme Gott <graeme@gottcode.org>
	* FIXED: Font names were sometimes inserted at head of document.
	* Remember code page when reading RTF.
	* Redesign detection of code page for writing RTF.

2011-07-06 Epameinondas Soufleros
	* Add Greek translation.

2011-07-02 Graeme Gott <graeme@gottcode.org>
	* FIXED: Crashed when typing after alert for no sound effects.

2011-06-27 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.3.

2011-06-15 Márcio Massula Jr. <marciomassulajr@gmail.com>
	* Update Brazilian Portuguese translation.

2011-06-12 Danila Evstifeyev
	* Update Russian translation.

2011-06-11 Israel Buitrón <israel.buitron@gmail.com>
	* Update Mexican Spanish translation.

2011-06-08 Jérôme Borme <jerome.borme@gmail.com>
	* Update French translation.
	* Update Portuguese translation.

2011-06-08 Dennis Peteranderl
	* Update German translation.

2011-06-07 Graeme Gott <graeme@gottcode.org>
	* FIXED: Timers action didn't always use theme icon.

2011-06-06 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not follow toolbar style by default.
	* Move background caching into background loading thread.
	* Allow users to always set background image.

2011-06-04 Jakub Kowalski <jakowalski@gmail.com>
	* Update Polish translation.

2011-06-04 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not raise to front in GNOME2.
	* FIXED: Cancelling adding a theme did not work.
	* Use smooth font sizes list.
	* FIXED: Font size always show decimal.
	* Set default font to Times New Roman.

2011-06-03 Graeme Gott <graeme@gottcode.org>
	 * FIXED: Incorrectly handled paragraph end in RTF.

2011-06-02 Graeme Gott <graeme@gottcode.org>
	* Handle drag-and-drop RTF on the Mac.
	* Read from and write to QIODevices.

2011-06-02 Pavel Fric <pavelfric@seznam.cz>
	* Update Czech translation.

2011-06-01 Graeme Gott <graeme@gottcode.org>
	* Remove menu icons option on the Mac.
	* Only load typewriter sounds if they are enabled.
	* Remember size of preferences dialog.
	* FIXED: Played sound effects when text was removed.
	* FIXED: Could not type in timer time edit.

2011-05-31 Graeme Gott <graeme@gottcode.org>
	* FIXED: Incorrect background color for preferences tabs.
	* FIXED: Document details were visible through load screen.
	* FIXED: Load screen text was not always monospaced.
	* FIXED: Replacing quotes with LaTex quotes did not update all quotes.
	* Rename translation files.
	* FIXED: Could not scroll over background in Qt/Cocoa.

2011-05-30 Graeme Gott <graeme@gottcode.org>
	* FIXED: Regression where text did not fill text area.
	* FIXED: Scrollbar did not disappear when mousing into header.
	* FIXED: Could not interact with tabs in Qt/Cocoa.
	* FIXED: Masked scrollbars still showed a pixel.
	* FIXED: SDL_mixer was not loaded in most Linux distros.

2011-05-29 Graeme Gott <graeme@gottcode.org>
	* Update locale dialog.
	* Disable auto-save by default and rely on temporary cache instead.

2011-05-28 Graeme Gott <graeme@gottcode.org>
	* FIXED: Documents were visible when resizing window.
	* Warn user if emergency cache is not writable.

2011-05-27 Graeme Gott <graeme@gottcode.org>
	* Improve dialogs that list files.

2011-05-26 Graeme Gott <graeme@gottcode.org>
	* Add restoring files from temporary cache.
	* Store map of temporary file cache filenames.

2011-05-25 Graeme Gott <graeme@gottcode.org>
	* Copy files to temporary file cache.
	* Move file loading out of document constructor.
	* FIXED: No sound on characters inserted with "compose" key.

2011-05-24 Graeme Gott <graeme@gottcode.org>
	* Add support for LaTeX smart quotes.
	* Prevent interaction while loading documents.
	* FIXED: Large documents were not centered.
	* FIXED: Documents were sometimes displayed truncated.

2011-05-23 Graeme Gott <graeme@gottcode.org>
	* Allow user to enter custom font sizes.
	* FIXED: Could not access menubar while fullscreen in Unity.
	* FIXED: Could not leave fullscreen in Unity.

2011-05-22 Graeme Gott <graeme@gottcode.org>
	* FIXED: Closing the color picker does not return focus to theme dialogs.
	* Replace icon and load image.

2011-04-16 Graeme Gott <graeme@gottcode.org>
	* Unset fullscreen when minimizing on the mac.

2011-04-08 Graeme Gott <graeme@gottcode.org>
	* Rename base translation file.

2011-04-02 Graeme Gott <graeme@gottcode.org>
	* Use SDL_mixer instead of libao.

2011-03-25 Graeme Gott <graeme@gottcode.org>
	* FIXED: Wasn't switching to already opened document.

2011-03-24 Graeme Gott <graeme@gottcode.org>
	* FIXED: Dropping files on main window pasted URLs in KDE.
	* Always close unchanged empty file when opening a new file.
	* Specify supported MIME types on Linux and the Mac.

2011-03-23 Graeme Gott <graeme@gottcode.org>
	* FIXED: Qt translations were not deployed on the Mac.
	* FIXED: Word count issue with Persian/Farsi.
	* Update Spanish translation.
	* Change the way language names are loaded.

2011-03-03 Graeme Gott <graeme@gottcode.org>
	* Only rehighlight when highlighter is enabled.

2011-03-02 Dmitriy Kodanev <dkodanev@gmail.com>
	* Add Russian translation.

2011-02-19 Graeme Gott <graeme@gottcode.org>
	* FIXED: Forgot new documents saved when closed.

2011-01-29 Graeme Gott <graeme@gottcode.org>
	* Allow for multiple dictionaries to be loaded.
	* Leave misspelled highlight when only moving cursor.
	* Always ignore smart apostrophes when spellchecking.

2011-01-05 Graeme Gott <graeme@gottcode.org>
	* Add German dictionary.
	* Add German translation.

2010-12-29 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.2.1.
	* FIXED: Crashed when typing.

2010-12-29 Israel Buitrón <israel.buitron@gmail.com>
	* Add Mexican Spanish translation.

2010-12-28 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.2.

2010-12-26 Graeme Gott <graeme@gottcode.org>
	* FIXED: Ubuntu panels appeared when find dialog was shown.

2010-12-17 Graeme Gott <graeme@gottcode.org>
	* FIXED: Jumped while selecting text and scrolling.

2010-12-16 Graeme Gott <graeme@gottcode.org>
	* FIXED: Statistics and centering were broken for large documents.

2010-12-16 Jérôme Borme <jerome.borme@gmail.com>
	* Update French translation.
	* Update Portuguese translation.

2010-12-16 Pavel Fric <pavelfric@seznam.cz>
	* Update Czech translation.

2010-12-14 Jakub Kowalski <jakowalski@gmail.com>
	* Update Polish translation.

2010-12-14 Márcio Massula Jr. <marciomassulajr@gmail.com>
	* Update Brazilian Portuguese translation.

2010-12-14 Graeme Gott <graeme@gottcode.org>
	* Fixed regression where it no longer centered opened documents.
	* Fixed incorrect error string.

2010-12-12 Graeme Gott <graeme@gottcode.org>
	* Add changing the program language.

2010-12-07 Graeme Gott <graeme@gottcode.org>
	* FIXED: Was recentering when backspacing at end of document.
	* Always bring interface to front.

2010-12-05 Graeme Gott <graeme@gottcode.org>
	* FIXED: Header stayed visible when menus closed.
	* FIXED: Could not select text where header is shown.
	* Only apply mask to stack and not to documents.
	* FIXED: Header wasn't shown when menus were shown by keyboard shortcuts.
	* FIXED: Toolbar outline stayed visible when it was expanded.

2010-12-04 Graeme Gott <graeme@gottcode.org>
	* FIXED: Automatic spellchecking highlighted current word.

2010-12-02 Jakub Kowalski <jakowalski@gmail.com>
	* Update Polish translation.

2010-12-01 Graeme Gott <graeme@gottcode.org>
	* Add Czech dictionary.

2010-12-01 Pavel Fric <pavelfric@seznam.cz>
	* Add Czech translation.

2010-11-26 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not inform user when archives have no dictionaries.

2010-11-25 Graeme Gott <graeme@gottcode.org>
	* FIXED: Brazilian Portuguese translation could not open all files.
	* FIXED: Portuguese translation had incorrect file extension.

2010-11-21 Graeme Gott <graeme@gottcode.org>
	* Rearrange theme foreground options.
	* Use contrast color for highlighted text.

2010-11-09 Graeme Gott <graeme@gottcode.org>
	* Add rounded corners to themes.

2010-11-08 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could not scroll over padding.

2010-11-04 Jakub Kowalski <jakowalski@gmail.com>
	* Update Polish translation.

2010-11-02 Graeme Gott <graeme@gottcode.org>
	* Allow text to use full width.
	* Use nearest spinbox values.

2010-10-31 Graeme Gott <graeme@gottcode.org>
	* Add minimize window action.
	* FIXED: Could not add words with smart quotes to personal dictionary.
	* FIXED: Could add word to personal dictionary multiple times.
	* FIXED: Played typewriter sounds for non-printing keys.
	* FIXED: Did not center for themes with padding.

2010-10-29 Graeme Gott <graeme@gottcode.org>
	* Use compressed dictionaries.

2010-10-28 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.1.

2010-10-26 Márcio Massula Jr. <marciomassulajr@gmail.com>
	* Add Brazilian Portuguese translation.

2010-10-24 Luis Osa <luis.osa.gdc@googlemail.com>
	* Update Spanish translation.

2010-10-24 Jérôme Borme <jerome.borme@gmail.com>
	* Update French translation.
	* Update Portuguese translation.

2010-10-22 Graeme Gott <graeme@gottcode.org>
	* Add selectively disabling smart quotes by pressing Control.

2010-10-21 Jakub Kowalski <jakowalski@gmail.com>
	* Add Polish translation.

2010-10-21 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could not update smart quotes for plain text files.

2010-10-20 Graeme Gott <graeme@gottcode.org>
	* Add typewriter sound effects.
	* FIXED: Could not switch to rich text.

2010-10-19 Graeme Gott <graeme@gottcode.org>
	* FIXED: Informed user of Read-Only status of already open files.

2010-10-18 Graeme Gott <graeme@gottcode.org>
	* FIXED: Crashed if preview image was not created.
	* FIXED: Font size was not always listed.
	* FIXED: Panels were visible when mouse was over padding.

2010-10-17 Graeme Gott <graeme@gottcode.org>
	* Prevent opening unsupported files.
	* FIXED: Save As completed even if saving failed.

2010-10-16 Graeme Gott <graeme@gottcode.org>
	* Open files dropped on main window.

2010-10-15 Graeme Gott <graeme@gottcode.org>
	* FIXED: Preferences dialog was too big for small screens.

2010-10-14 Graeme Gott <graeme@gottcode.org>
	* Prevent modifying Read-Only files.
	* FIXED: Closed even when unable to save files.

2010-10-12 Luis Osa <luis.osa.gdc@googlemail.com>
	* Add Spanish translation.

2010-10-07 Graeme Gott <graeme@gottcode.org>
	* FIXED: Did not handle opening Read-Only files.
	* FIXED: Did not prompt when there was an error saving files.

2010-10-06 Graeme Gott <graeme@gottcode.org>
	* FIXED: Replace required clicking twice.
	* FIXED: Text indents were different sizes.

2010-10-05 Graeme Gott <graeme@gottcode.org>
	* FIXED: Sometimes segfaulted when scrolling.
	* FIXED: The C locale was assumed to be UTF-8.
	* FIXED: New documents were always centered.

2010-09-22 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.3.0.
	* Add dictionaries for supported languages.

2010-09-12 Jérôme Borme <jerome.borme@gmail.com>
	* Update French translation.
	* Update Portuguese translation.

2010-09-12 Graeme Gott <graeme@gottcode.org>
	* FIXED: Tab focus was incorrect in some dialogs.

2010-09-10 Graeme Gott <graeme@gottcode.org>
	* FIXED: Text direction was broken with Qt 4.7.
	* Work around QToolBar bug on the Mac.

2010-09-08 Graeme Gott <graeme@gottcode.org>
	* Unify coding style.
	* FIXED: Smart quotes didn't work with selections.

2010-09-07 Graeme Gott <graeme@gottcode.org>
	* Fallback to closest dictionary.
	* FIXED: Default theme font was incorrect.
	* Refactor code for enabling formatting actions.

2010-09-06 Graeme Gott <graeme@gottcode.org>
	* Track filenames separately from save location.
	* FIXED: Created empty tabs for unreadable files.
	* Improve RTF conversion from unicode.

2010-09-05 Graeme Gott <graeme@gottcode.org>
	* FIXED: Warned about losing formatting of empty files.
	* Show selected statistics.
	* Speed up word count.

2010-09-04 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could not open symlinked files.

2010-09-02 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could always change background image.

2010-09-01 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could open empty recent timers menu.

2010-08-29 Graeme Gott <graeme@gottcode.org>
	* Only save preferences and themes when they change.
	* Add smart quotes.
	* Replace provided English dictionary.
	* FIXED: Window background was visible during resize.
	* FIXED: Window could be made smaller than theme.

2010-08-26 Graeme Gott <graeme@gottcode.org>
	* Switch to using RTF for rich text files.

2010-08-23 Graeme Gott <graeme@gottcode.org>
	* Add text margin to themes.
	* Add text padding to themes.

2010-08-17 Graeme Gott <graeme@gottcode.org>
	* Replace minizip with libzip.
	* Make hunspell an external dependency.

2010-08-14 Graeme Gott <graeme@gottcode.org>
	* Inform user when unable to open files.
	* Prompt for filename when changing file type.

2010-08-08 Graeme Gott <graeme@gottcode.org>
	* Add RTL support.

2010-08-07 Graeme Gott <graeme@gottcode.org>
	* Add importing themes.
	* Add exporting themes.

2010-08-06 Graeme Gott <graeme@gottcode.org>
	* Store images with themes.

2010-08-04 Graeme Gott <graeme@gottcode.org>
	* Share rendering theme background.
	* Allow opening multiple files.
	* Add new session menu and toolbar actions.

2010-08-03 Graeme Gott <graeme@gottcode.org>
	* FIXED: Default session was ignored.

2010-08-02 Graeme Gott <graeme@gottcode.org>
	* Add option for icons in menus.
	* Move icons out of executable.

2010-08-01 Graeme Gott <graeme@gottcode.org>
	* Improve handling of fullscreen.
	* Add load screen.

2010-07-31 Graeme Gott <graeme@gottcode.org>
	* Add session management.

2010-07-19 Graeme Gott <graeme@gottcode.org>
	* Remember cursor position for open files.

2010-07-18 Graeme Gott <graeme@gottcode.org>
	* FIXED: File name was not updated in interface when changed.

2010-07-17 Graeme Gott <graeme@gottcode.org>
	* FIXED: Allowed opening the same document twice.
	* FIXED: Save dialog was permanently stealing mouse focus.

2010-07-16 Graeme Gott <graeme@gottcode.org>
	* Allow undo across text mode changes.
	* Add file extension to filtered files.
	* Improve handling of untitled documents.

2010-07-15 Graeme Gott <graeme@gottcode.org>
	* Add rich text support.

2010-07-13 Graeme Gott <graeme@gottcode.org>
	* Switch to QTextEdit.

2010-07-12 Graeme Gott <graeme@gottcode.org>
	* Rewrite find support.

2010-07-09 Graeme Gott <graeme@gottcode.org>
	* Remove icons from menus.
	* Add timers.
	* Add alerts.
	* Switch to using Qt 4.6.

2010-07-02 Graeme Gott <graeme@gottcode.org>
	* Make documents overlay main window.

2010-07-01 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.2.2.

2010-06-30 Graeme Gott <graeme@gottcode.org>
	* Use native icons in Linux.

2010-06-29 Graeme Gott <graeme@gottcode.org>
	* Use standard keyboard shortcuts.
	* Add keyboard navigation for tabs.
	* Use Qt file dialog for selecting backgrounds.
	* Add support for storing data with executable.

2010-06-12 Graeme Gott <graeme@gottcode.org>
	* Update included minizip version to 1.01h.
	* Update included hunspell version to 1.2.11.

2010-01-22 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.2.1.

2010-01-21 Graeme Gott <graeme@gottcode.org>
	* FIXED: Scrolling to top didn't work properly in Linux.

2010-01-19 Graeme Gott <graeme@gottcode.org>
	* FIXED: Scrollbar wasn't tracking properly.
	* FIXED: Highlight was removed when right-clicking.
	* FIXED: Only focused document was centered on launch.

2010-01-17 Jérôme Borme <jerome.borme@gmail.com>
	* Add French translation.
	* Add Portuguese translation.

2010-01-14 Graeme Gott <graeme@gottcode.org>
	* FIXED: Program would crash if dictionary couldn't be found.

2010-01-11 Graeme Gott <graeme@gottcode.org>
	* FIXED: Prompted user about replacing a removed dictionary.
	* FIXED: Dictionary added most recently was not selected.
	* FIXED: Dictionaries couldn't be used immediately.

2010-01-08 Graeme Gott <graeme@gottcode.org>
	* Include minizip for extracting dictionaries.

2010-01-02 Graeme Gott <graeme@gottcode.org>
	* FIXED: Dictionary was assumed to use UTF-8 encoding.

2009-12-08 Graeme Gott <graeme@gottcode.org>
	* FIXED: Mouse cursor sometimes disappeared when opening files.

2009-12-05 Graeme Gott <graeme@gottcode.org>
	* FIXED: Interface was not hidden when mouse left window.

2009-12-03 Graeme Gott <graeme@gottcode.org>
	* FIXED: Margins were not correct when using Qt 4.6.0.

2009-12-02 Graeme Gott <graeme@gottcode.org>
	* Allow user to change text area position.

2009-09-12 Graeme Gott <graeme@gottcode.org>
	* FIXED: Clock did not respect user's locale.
	* FIXED: Time daily goal increased when preferences changed.

2009-08-29 Graeme Gott <graeme@gottcode.org>
	* Allow user to disable antialiasing.

2009-07-12 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.2.0.

2009-07-11 Graeme Gott <graeme@gottcode.org>
	* FIXED: Was not properly centering opened documents.

2009-07-10 Graeme Gott <graeme@gottcode.org>
	* Add estimated word count algorithm.
	* Allow any character in theme names.
	* Make page size adjustable.

2009-07-09 Graeme Gott <graeme@gottcode.org>
	* Reduce text jittering when scrolling.
	* Use threaded file saving.
	* FIXED: Changing themes increased progress on daily goals.
	* FIXED: Newly created themes were not loaded.

2009-07-06 Graeme Gott <graeme@gottcode.org>
	* Add option to use a block insertion cursor.

2009-07-05 Graeme Gott <graeme@gottcode.org>
	* Split preferences loading out of preferences dialog.

2009-07-04 Graeme Gott <graeme@gottcode.org>
	* Improve document saving.

2009-07-01 Graeme Gott <graeme@gottcode.org>
	* Add menubar.
	* Add toolbar customization.

2009-06-29 Graeme Gott <graeme@gottcode.org>
	* Add unsaved changes indicator.

2009-06-28 Graeme Gott <graeme@gottcode.org>
	* Move background loading to separate thread.

2009-06-27 Graeme Gott <graeme@gottcode.org>
	* Add document tabs.
	* Store open documents across runs.

2009-06-25 Graeme Gott <graeme@gottcode.org>
	* Add document statistics.

2009-06-18 Graeme Gott <graeme@gottcode.org>
	* Speed up spell checking.

2009-06-17 Graeme Gott <graeme@gottcode.org>
	* FIXED: Changing all misspelled words didn't start at beginning.

2009-06-16 Graeme Gott <graeme@gottcode.org>
	* Add spell checking.

2009-06-14 Graeme Gott <graeme@gottcode.org>
	* FIXED: Infinite loop when replacing all instances of a word.

2009-05-31 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.1.2.
	* Use UTF-8 character encoding for files.

2009-05-10 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.1.1.
	* FIXED: Was always launching with time based goals.

2009-04-19 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.1.0.

2009-04-18 Graeme Gott <graeme@gottcode.org>
	* Add find dialog.

2009-04-17 Graeme Gott <graeme@gottcode.org>
	* Cache theme backgrounds.
	* Change theme immediately.

2009-04-16 Graeme Gott <graeme@gottcode.org>
	* Show progress on daily goals.

2009-04-15 Graeme Gott <graeme@gottcode.org>
	* Track daily progress.

2009-04-14 Graeme Gott <graeme@gottcode.org>
	* FIXED: Crashed when first sentence was deleted.

2009-04-13 Graeme Gott <graeme@gottcode.org>
	* Add interface for goals.

2009-04-12 Graeme Gott <graeme@gottcode.org>
	* Allow user to disable always center on type.
	* Load theme in window class.

2009-04-11 Graeme Gott <graeme@gottcode.org>
	* Create default theme from old settings.
	* Add theme manager class.
	* Add drop shadow to theme previews.
	* Save theme previews to disk.

2009-04-10 Graeme Gott <graeme@gottcode.org>
	* Allow user to rename themes.
	* Read and write themes to disk.
	* Add theme editor dialog.
	* Add theme class.

2009-02-27 Graeme Gott <graeme@gottcode.org>
	* Refactor preferences code.
	* Allow file extensions other than txt.

2008-11-03 Graeme Gott <graeme@gottcode.org>
	* Add double click support to image selection dialog.
	* FIXED: Image selection dialog was not showing last visited path.

2008-10-29 Graeme Gott <graeme@gottcode.org>
	* FIXED: Highlighted text used page alpha.

2008-10-23 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.0.0.

2008-10-22 Graeme Gott <graeme@gottcode.org>
	* Add application icon.

2008-10-18 Graeme Gott <graeme@gottcode.org>
	* Arrange preferences dialog.

2008-10-17 Graeme Gott <graeme@gottcode.org>
	* Add toolbar icons.
	* Add support for changing page opacity.

2008-10-16 Graeme Gott <graeme@gottcode.org>
	* Add clock to details.
	* Add filename to details.

2008-10-13 Graeme Gott <graeme@gottcode.org>
	* Add image selection dialog.

2008-10-12 Graeme Gott <graeme@gottcode.org>
	* Add setting background image.
	* Add background image.

2008-10-11 Graeme Gott <graeme@gottcode.org>
	* Add intelligent word count algorithm.

2008-10-10 Graeme Gott <graeme@gottcode.org>
	* Store non-fullscreen size.
	* Add closing files.
	* Store fullscreen status across runs.
	* Fullscreen applies to all windows.
	* Save changes on program close.
	* Add auto save.

2008-10-08 Graeme Gott <graeme@gottcode.org>
	* Center cursor when entering text.
	* Store active document across runs.
	* Add renaming files.
	* Add saving files.
	* Add opening files.
	* Add creating files.
	* Add support for multiple windows.

2008-10-04 Graeme Gott <graeme@gottcode.org>
	* Store preferences across runs.

2008-10-03 Graeme Gott <graeme@gottcode.org>
	* Add toggling auto-save.
	* Add setting default file path.
	* Add changing page width.
	* Add changing font.
	* Add changing colors.
	* Add color button class.

2008-10-02 Graeme Gott <graeme@gottcode.org>
	* Hide mouse over text edit.
	* Add printing support.
	* Set text area colors.
	* Autohide toolbar, scrollbar, and wordcount.
	* Add toolbar.

2008-10-01 Graeme Gott <graeme@gottcode.org>
	* Add dynamic wordcount.
	* Move scrollbar out of text edit.
	* Add text edit to window.
	* Add window class.
